Bug 502578 - CVE-2009-1376 CVE-2009-1373 CVE-2009-1374 CVE-2009-1375 Multiple pidgin vulnerabilities
CVE-2009-1376 CVE-2009-1373 CVE-2009-1374 CVE-2009-1375 Multiple pidgin vulne...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Securit...
: Security
Depends On:
Blocks: CVE-2009-1373 CVE-2009-1374 CVE-2009-1375 CVE-2009-1376
  Show dependency treegraph
 
Reported: 2009-05-26 05:12 EDT by Tomas Hoger
Modified: 2010-05-14 23:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-14 23:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-05-26 05:12:18 EDT
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in all affected branches.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

	bug #500493: CVE-2009-1376 pidgin incomplete fix for CVE-2008-2927
	bug #500488: CVE-2009-1373 pidgin file transfer buffer overflow
	bug #500490: CVE-2009-1374 pidgin DoS when decrypting qq packets
	bug #500491: CVE-2009-1375 pidgin PurpleCircBuffer corruption

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available and only close this bug once all affected Fedora versions are fixed.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?bugs=CVE-2009-1373,CVE-2009-1374,CVE-2009-1375,CVE-2009-1376
Comment 1 Tomas Hoger 2009-05-26 05:15:19 EDT
These issue were fixed upstream in 2.5.6 (http://pidgin.im/news/security/).  New builds are already in Koji, but not submitted in Bodhi yet.  When submitting update requests, please refer to parent bugs in the request.
Comment 2 Stu Tomlinson 2009-05-26 10:44:16 EDT
Updates have been submitted in Bodhi now:

https://admin.fedoraproject.org/updates/pidgin-2.5.6-1.fc9
https://admin.fedoraproject.org/updates/pidgin-2.5.6-1.fc10
https://admin.fedoraproject.org/updates/pidgin-2.5.6-1.fc11

They all reference the above bugs, but bodhi reported an internal server error while submitting the F10 & F11 updates and failed to add comments to the bugs.
Comment 3 Tomas Hoger 2009-05-26 12:56:39 EDT
That should not be a big deal, as another comment should be added by bodhi when updates are pushed to testing / stable.
Comment 4 Bug Zapper 2009-06-09 12:34:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 10:31:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Stu Tomlinson 2010-05-14 23:48:23 EDT
These fixes were published a long time ago

Note You need to log in before you can comment on or make changes to this bug.